## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           virtiofsd
Version:        1.13.2
Release:        %autorelease
Summary:        Virtio-fs vhost-user device daemon (Rust version)

License:        Apache-2.0 AND BSD-3-Clause
URL:            https://gitlab.com/virtio-fs/virtiofsd
# To create/dowload the source files (i.e., crate and vendor files),
# set the version in the spec and then:
#     make
# if you need to get a different version:
#     make VERSION=<version>
#
Source:         %{crates_source}
Source1:        %{name}-%{version}-vendor.tar.xz

ExclusiveArch:  %{rust_arches}
# Some of our deps (i.e. vm-memory) are not available on 32 bits targets.
ExcludeArch:    i686

%if 0%{?rhel}
BuildRequires:  rust-toolset
%else
BuildRequires:  rust-packaging >= 21
%endif
BuildRequires:  libcap-ng-devel
BuildRequires:  libseccomp-devel
%if 0%{?rhel}
Requires:       qemu-kvm-common
%else
Requires:       qemu-common
%endif
Requires:	shadow-utils
Provides:       vhostuser-backend(fs)
Conflicts:      qemu-virtiofsd
%if 0%{?fedora} > 38
Obsoletes:      qemu-virtiofsd <= 2:8.0.0-1
Provides:       qemu-virtiofsd = 2:7.2.1-1
%endif

%description
%{summary}.

%prep
%autosetup -n %{name}-%{version_no_tilde} -p1 -a1
%cargo_prep -v vendor
rm -f Cargo.lock

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies
%cargo_vendor_manifest

%install
mkdir -p %{buildroot}%{_libexecdir}
install -D -p -m 0755 target/release/virtiofsd %{buildroot}%{_libexecdir}/virtiofsd
install -D -p -m 0644 50-virtiofsd.json %{buildroot}%{_datadir}/qemu/vhost-user/50-virtiofsd.json

%files
%license LICENSE-APACHE LICENSE-BSD-3-Clause
%license LICENSE.dependencies
%license cargo-vendor.txt
%doc README.md
%{_libexecdir}/virtiofsd
%{_datadir}/qemu/vhost-user/50-virtiofsd.json

%changelog
## START: Generated by rpmautospec
* Thu Jun 12 2025 German Maglione <gmaglione@redhat.com> - 1.13.2-1
- Update to version 1.13.2

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Nov 29 2024 German Maglione <gmaglione@redhat.com> - 1.13.0-1
- Update to version 1.13.0

* Wed Jul 17 2024 German Maglione <gmaglione@redhat.com> - 1.11.1-2
- Add a Makefile to create source files

* Wed Jul 17 2024 German Maglione <gmaglione@redhat.com> - 1.11.1-1
- Update to version 1.11.1

* Wed Jul 17 2024 German Maglione <gmaglione@redhat.com> - 1.10.1-3
- Remove unused logger patch file

* Thu Apr 25 2024 German Maglione <gmaglione@redhat.com> - 1.10.1-2
- Add initial RHEL OSCI gating test

* Mon Feb 05 2024 Sergio Lopez <slp@redhat.com> - 1.10.1-1
- Update to version 1.10.1

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 23 2024 Sergio Lopez <slp@redhat.com> - 1.10.0-1
- Update to version 1.10.0

* Sun Dec 24 2023 Sergio Lopez <slp@redhat.com> - 1.9.0-1
- Update to version 1.9.0

* Fri Sep 29 2023 Colin Walters <walters@verbum.org> - 1.7.0-5
- Rebuild with latest vhost-user-backend; xref

* Tue Sep 19 2023 Fabio Valentini <decathorpe@gmail.com> - 1.7.0-4
- Rebuild for vm-memory v0.12.2 / CVE-2023-41051

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 19 2023 Sergio Lopez <slp@redhat.com> - 1.7.0-2
- Update license specification to conform SPDX format

* Wed Jul 19 2023 Sergio Lopez <slp@redhat.com> - 1.7.0-1
- Update to version 1.7.0
- Update to version 1.7.0
- Drop no longer needed temporary patch

* Fri May 26 2023 Sergio Lopez <slp@redhat.com> - 1.5.1-3
- Only use Obsolete/Provides on Fedora 39 and later

* Wed Apr 26 2023 Daniel P. Berrangé <berrange@redhat.com> - 1.5.1-2
- Obsolete qemu-virtiofsd

* Thu Feb 09 2023 Sergio Lopez <slp@redhat.com> - 1.5.1-1
- Update to version 1.5.1
- Update to version 1.5.1

* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> - 1.4.0-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jul 26 2022 Sergio Lopez <slp@redhat.com> - 1.4.0-1
- Update to version 1.4.0
- Update to version 1.4.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 07 2022 Sergio Lopez <slp@redhat.com> - 1.3.0-1
- Update to version 1.3.0
- Update to version 1.3.0
- Build on all rust arches except i686 (32-bit targets are not supported)

* Tue May 17 2022 Sergio Lopez <slp@redhat.com> - 1.2.0-1
- Initial import (fedora#2086523).
## END: Generated by rpmautospec
